Skip to main content
GET
/
v1
/
referral_items
List
curl --request GET \
  --url https://{defaultHost}/v1/referral_items \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/referral_items"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/referral_items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "pagination": {
    "count": 1,
    "limit": 20,
    "page": 1,
    "url": "/v1/referral_items"
  },
  "data": [
    {
      "id": "285d2365-8cbd-4171-b53b-84ff68a64afa",
      "object": "referral_item",
      "commission_amount": 580,
      "line_item": "1c16959f-0bea-4247-8e14-8e9cb95db1c8",
      "referral": "7899f312-f834-4dc2-9a6f-84597332888d",
      "created_at": 1782485881,
      "updated_at": 1782485881
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ids[]
string[]

Only return objects with the given IDs.

limit
integer

A limit on the number of items to be returned, between 1 and 100.

page
integer

The page of items you want returned.

referral_ids[]
string[]

Only return objects that belong to the given referrals.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.